const AuthUser = require('flitter-auth/model/User')

/*
 * Auth user model. This inherits fields and methods from the default
 * flitter-auth/model/User model, however you can override methods and
 * properties here as you need.
 */
class User extends AuthUser {
    static get services() {
        return [...super.services, 'models']
    }

    static get schema() {
        return {...super.schema, ...{
            // other schema fields here
        }}
    }

    async get_root_page() {
        const Page = this.models.get('api:Page')
        return Page.findOne({OrgUserId: this._id, ParentId: '0'})
    }

    // Other members and methods here
}

module.exports = exports = User
